Skip to main content
GET
/
v1
/
schemas
/
{id}
Get a schema
curl --request GET \
  --url https://api.done.app/v1/schemas/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "contract": {
    "price": 123,
    "activity_window": 123,
    "review_window": 123,
    "fulfillment_condition": {
      "event": "<string>",
      "match": {},
      "field": "<string>",
      "gt": 123,
      "gte": 123,
      "lt": 123,
      "lte": 123,
      "eq": 123
    },
    "timeout_outcome": "confirm"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

API token. Create one from the dashboard.

Path Parameters

id
string<uuid>
required

Response

Schema found

A reusable claim template.

id
string<uuid>
required
user_id
string<uuid>
required
contract
object
required

The terms of a claim. Immutable once a claim is created.

created_at
string<date-time>
required
updated_at
string<date-time>
required